api.php?action=query&prop=extracts: Get page extracts

API: wiktionary.org:wiktionary-api
Endpoint: /w/api.php?action=query&prop=extracts
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 446ms

Description

Returns plain text or limited HTML extracts of page content. Useful for getting definitions and word information.

Parameters (6)

action (string, query, required, default: query)
explaintext (boolean, query, optional, default: True)

Return plain text instead of HTML

exsentences (integer, query, optional, default: 5)

Number of sentences to return

format (string, query, optional, default: json)
prop (string, query, required, default: extracts)
titles (string, query, optional)

Page titles to query (pipe-separated)

Examples (2)

Get page extracts openapi-spec
curl 'https://en.wiktionary.org/w/api.php?action=query&prop=extracts%3Ftitles%3Dhello%7Cworld&titles=hello%7Cworld'
import requests

resp = requests.get(
    "https://en.wiktionary.org/w/api.php",
    params={
        'action': 'query',
        'prop': 'extracts?titles=hello|world',
        'titles': 'hello|world',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("wiktionary")
result = api.fetch("w/api.php?action=query&prop=extracts", action="query", prop="extracts?titles=hello|world", titles="hello|world")

for item in result:
    print(item)
const resp = await fetch("https://en.wiktionary.org/w/api.php?action=query&prop=extracts%3Ftitles%3Dhello%7Cworld&titles=hello%7Cworld");
const data = await resp.json();
Get page extracts probe-gate
curl 'https://en.wiktionary.org/w/api.php?action=query&prop=extracts&titles=hello%7Cworld&explaintext=True&exsentences=5&format=json'
import requests

resp = requests.get(
    "https://en.wiktionary.org/w/api.php",
    params={
        'action': 'query',
        'prop': 'extracts',
        'titles': 'hello|world',
        'explaintext': 'True',
        'exsentences': '5',
        'format': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("wiktionary")
result = api.fetch("w/api.php?action=query&prop=extracts", action="query", prop="extracts", titles="hello|world", explaintext="True", exsentences=5, format="json")

for item in result:
    print(item)
const resp = await fetch("https://en.wiktionary.org/w/api.php?action=query&prop=extracts&titles=hello%7Cworld&explaintext=True&exsentences=5&format=json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:03:43.198992 200 446ms
2026-04-16 03:25:33.377077 200 397ms
2026-04-16 00:53:08.212318 200 269ms
2026-04-15 03:22:46.449445 200 523ms
2026-04-15 03:04:17.618184 200 393ms
2026-04-14 03:15:03.622560 200 470ms
2026-04-14 03:02:39.559900 200 420ms
2026-04-12 15:04:26.941471 200 350ms
2026-04-12 14:07:40.734021 200 445ms
2026-04-10 04:23:33.841277 200 341ms
2026-04-10 03:07:57.731814 200 421ms
2026-04-09 01:32:04.286372 200 369ms
2026-04-09 00:17:28.211507 200 435ms
2026-04-03T18:48:08.469195 200 213ms